%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%global upstream_version 2.1pre1 

Name:           bmpanel2
Version:        2.1
Release:        0.6.pre1%{?dist}
Summary:        NETWM compliant panel for X

Group:          User Interface/Desktops
License:        MIT
URL:            http://code.google.com/p/%{name}/
# Source0 has been repackaged due to legal problems with the following themes:
# alduin-* auriel-* curvy-* flora-* striped
# original source is available from: http://bmpanel2.googlecode.com/files/%{name}-%{upstream_version}.tar.gz
Source0:        %{name}-%{upstream_version}-stripped.tar.gz
Source1:        bmpanel2cfg.desktop 
Patch0:         bmpanel2-2.1pre1-no-shebang.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake 
BuildRequires:  libX11-devel
BuildRequires:  cairo-devel
BuildRequires:  pango-devel
BuildRequires:  asciidoc 
BuildRequires:  docbook-style-xsl
BuildRequires:  python-devel
BuildRequires:  libxslt-devel
BuildRequires:  desktop-file-utils

%description
bmpanel2 is a NETWM-compatible panel for X11 which is highly customizable
via themes. It contains a bunch of widgets like: a desktop switcher, a taskbar,
a launchbar, a systray, a clock and supports pseudo-transparency.

%package cfg 

Summary:        Graphical Configuration Utility for bmpanel2 
Group:          User Interface/Desktops
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       pygtk2 
Requires:       gnome-icon-theme

%description cfg 
bmpanel2cfg is a graphical utility to configure bmpanel2.

%prep
%setup -q -n %{name}-%{upstream_version}
%patch0 -p0

%build
%cmake .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man*/%{name}*
%doc COPYING

%files cfg
%defattr(-,root,root,-)
%{_bindir}/%{name}cfg
%{python_sitelib}/%{name}*
%{_datadir}/applications/%{name}cfg.desktop

%changelog
* Wed Nov 18 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.1-0.6.pre1 
- Added preferences-system-windows icon reference to bmpanel2cfg.desktop
- As icon cache re-generation seems to be unnecessary now, it has been removed 

* Tue Nov 17 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.1-0.5.pre1 
- Updated icon cache scripts

* Thu Nov 12 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.1-0.4.pre1 
- Added Patch to remove shebang from bmpanel2.py 
- Added .desktop file for bmpanel2cfg 
- Created icon symlinks 

* Wed Nov 11 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.1-0.3.pre1 
- Removed themes with legal problems from source tarball 
- Removed unnecessary Requires
- Added pygtk2 requirement

* Mon Nov 09 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.1-0.2.pre1 
- Added python-devel build requirement
- Fixed docbook stylesheet reference

* Fri Nov 06 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.1-0.1.pre1 
- Updated to upstream version 2.1pre1
- Seperated cfg package 

* Thu Oct 20 2009 Marcus Moeller <mmoeller@fedoraproject.org> - 2.0.1a-1 
- Initial Release 
